Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 128543

Summary: apollon-1.0.2.1 turkish locale encoding problem
Product: Gentoo Linux Reporter: Serkan Kaba (RETIRED) <serkan>
Component: Current packagesAssignee: Gentoo KDE team <kde>
Status: RESOLVED WONTFIX    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 250217    
Bug Blocks:    
Attachments: fixed ebuild

Description Serkan Kaba (RETIRED) gentoo-dev 2006-04-02 10:30:46 UTC
the tr.po file included with the source is UTF-8 encoded and doesnot show turkish charackters. I've added necessary commands to the ebuild and sending it. Also I've sent the fix tr.po to apollon devel list. Also please check if there is a problem with other localizations
Comment 1 Serkan Kaba (RETIRED) gentoo-dev 2006-04-02 10:31:34 UTC
Created attachment 83730 [details]
fixed ebuild
Comment 2 Sergey Kuleshov (RETIRED) gentoo-dev 2006-04-16 05:43:03 UTC
just noticed this. I am not really maintaining this package. sorry.
Comment 3 Charlie Shepherd (RETIRED) gentoo-dev 2007-02-09 13:22:47 UTC
Did upstream fix this? The thread on the mailing list is inconclusive.
Comment 4 Jakub Moc (RETIRED) gentoo-dev 2007-03-16 01:07:28 UTC
Get back to us please...
Comment 5 Serkan Kaba (RETIRED) gentoo-dev 2008-11-24 07:56:54 UTC
According to ML thread[1] original translator sent the fixed translation. And Pardus also has a patch[2] to fix the Turkish po. file. But the project seems dead so noone commits it to CVS. Can I test and add Pardus's patch to portage?

1: http://tinyurl.com/68zxha
2: http://tinyurl.com/6f4fwj
Comment 6 Serkan Kaba (RETIRED) gentoo-dev 2008-11-26 18:37:04 UTC
(In reply to comment #5)
> According to ML thread[1] original translator sent the fixed translation. And
> Pardus also has a patch[2] to fix the Turkish po. file. But the project seems
> dead so noone commits it to CVS. Can I test and add Pardus's patch to portage?
> 
> 1: http://tinyurl.com/68zxha
> 2: http://tinyurl.com/6f4fwj
> 

Pardus's patch works fine for Turkish but emerge also prints the following warning for string in German.

 * Checking desktop entry validity
 * [Invalid UTF-8] /usr/share/applications/kde/Apollon.desktop: value "Das ultimative Tauschb�rsenprogramm f�r Linux - OpenFT, Gnutella, Fasttrack (Kazaa)" for locale string key "Comment[de]" in group "Desktop Entry" contains invalid UTF-8 characters, locale string values should be encoded in UTF-8 -- value "Application;Qt;KDE;Network;FileTransfer" for string list key "Categories" in group "Desktop Entry" does not have a semicolon (';') as trailing character
Comment 7 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-02-21 04:25:05 UTC
gone, wontfix